@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root{
    --base-color:white;
    --base-variant:#e8e9ed;
    --text-color:#111528;
    --secondary-text:#232738;
    --navbar-select-text:#ffffff;
    --primary-color:#3a435d;
    --accent-color:#0071ff;
    --accent-colorselect:#71A4FF;
    --navbar-color:gray;
    --navbar-select:#333333;
    --faq-color:#c0c0c6;
    --github-repo:#19171700;
}
.darkmode{
    --base-color:#070b1d;
    --base-variant:#101425;
    --text-color:#ffffff;
    --secondary-text:#a4a5b8;
    --primary-color:#cfd3e6;
    --accent-color:#0071ff;
    --accent-colorselect:#71A4FF;
    --navbar-color:#1E1E1E;
    --navbar-select:#121212;
    --navbar-select-text:#ffffff;
    --faq-color:#636365;
    --github-repo:#ffffff;
}
body{
font-family: poppins;
background-color: var(--base-color);
margin: 20px;
transition:all 0.3;
}
main{
    margin-left: 20px;
    margin-right: 20px;
    margin-bottom: 20px;
}
.head{
    color:var(--text-color);
    font-family: poppins;
}
p{
    color:var(--text-color);
    font-family: poppins;
}
h2{
    color: var(--text-color);
    font-style: poppins;
}
h4{
    color: var(--text-color);
    font-family:poppins;
}
h3{
    color: var(--text-color);
    font-family: poppins; 
}
.main{
    text-align: center;
    font-family: poppins;
}
.navbar ul{
    list-style-type: none;
    background-color:var(--navbar-color);;;;
    padding: 0px;
    margin: 0px;
    overflow: hidden;
}
.navbar a{
    text-decoration: none;
    padding: 15px;
    display: block;
    text-align: center;
    font-family: poppins;
    font-weight: 900;
    color:var(--text-color);
}
.navbar li{
    float: left;
}
.navbar a:hover{
    background-color:var(--navbar-select);
    color: var(--navbar-select-text);
}
.mainstuff{
    margin: 20px;
    border: none;
    background:rgb(127, 128, 128);
    padding: 0.8em 2.5em;
    border-radius: 10px;
    color: var(--text-color);
    font-family: poppins;
    font-size: 4.2rem;
    font-weight:500px ;
    cursor: pointer;
    transition: 150ms ease;
    display: grid;
}
.mainstuff:hover{
 background-color:rgb(87, 86, 86);
    scale: 1.10;   
}
.piaa{
    background-color:var(--accent-color);
    font-size: 50px;
    font-style: poppins;
    color:var(--text-color);
    margin-top: 15px;
    margin-bottom: 15px;
    margin-left: 15px;
    margin-right: 15px;
    border-color: #0000;
}
.hacks{
    font-size: medium;
    transition: 150ms ease; 
      border-radius: 20px;
}
.logo{
    size: 200px;
    margin: 0px;
    padding: 0%;
}
.thank{
    font-family: poppins;
    color: #ffffff;
    float: right;
}
.🥇{
color: #ffffff;
font-size: larger;
font-family: poppins;
}
#theme-switch {
cursor: pointer;
padding: 10px 20px;
background-color: var(--text-color);
color: var(--base-color);
border: none;
border-radius: 10px;
font-size: 16px;
margin: 20px;
}
#theme-switch svg{
    fill: var(--primary-color);
}
#theme-switch svg:last-child{
    display: none;
}
.darkmode #theme-switch svg:first-child{
display: none;
}
.darkmode #theme-switch svg:last-child{
    display: block;
}
.butt{
    color: var(--secondary-text);
    background-color: var(--accent-color);
    border-radius: 8%;
    transition: 150ms;
    scale: 0.9;
}
.butt:hover{
    background-color: var(--accent-colorselect);
    color: var(--text-color);
    scale: 1.3;
}

.🏈{
 float:right;
 padding-right:100px;
 padding-left:80px;
 padding-top:60px;
 padding-bottom:40px;   
 margin-top:30px;
 color:var(--text-color);
 background-color: var(--accent-color);  
 border-radius: 20px;
 font-weight: 900;
 list-style-type: none;
 text-align: center;   
 border: 20px solid #000;
 text-decoration: none;
}
.🏈 a{
    color:var(--text-color) !important;
}
.typewriter{
  display: flex;
  justify-content: center;
}

.typewriter h1{
  font-family: monospace;
  font-size: 1.5rem;
  margin-inline: auto;
  overflow: hidden;
  white-space: nowrap;
  border-right: 1px solid;
  animation: typing 3s steps(22) forwards,
  blink 1s step-end infinite
  
}
@keyframes typing{
  from{
    width: 0;
  }

  to {
    width: 100%;
  }
}
@keyframes blink{
  50%{
    border-color: transparent;
  }
}



.tw2 {

}

.tw2 h1{
  font-family: monospace;
  font-size: 1.5rem;
  margin-inline: auto;
  overflow: hidden;
  white-space: nowrap;
  border-right: 1px solid;
  animation: typing 3s steps(22) forwards,
  blink 1s step-end infinite
  
}
@keyframes typing{
  from{
    width: 0;
  }

  to {
    width: 100%;
  }
}
@keyframes blink{
  50%{
    border-color: transparent;
  }
}
.hyperlink:link{
 text-decoration: none;
}
.hyperlink:hover{
    text-decoration: underline;
    color:var(--accent-color);
}
.darkmodebutton{
    transition: 100ms;
}
.darkmodebutton:hover{
    scale: 1.4;
    transition: 100ms;
}


